> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daya.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order

> Get details of a specific order

## Overview

Retrieve details for a specific order by its ID.

## Authentication

<ParamField header="X-Api-Key" type="string" required>
  Your API key with Read or Trade scope

  ```
  X-Api-Key: daya_sk_YOUR_API_KEY
  ```
</ParamField>

## Path Parameters

<ParamField path="order_id" type="string" required>
  The unique order identifier (UUID)

  **Example:** `550e8400-e29b-41d4-a716-446655440000`
</ParamField>

## Request Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.pro.daya.co/public/v1/orders/550e8400-e29b-41d4-a716-446655440000 \
    --header 'X-Api-Key: daya_sk_YOUR_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const orderId = '550e8400-e29b-41d4-a716-446655440000';

  const response = await fetch(
    `https://api.pro.daya.co/public/v1/orders/${orderId}`,
    {
      headers: { 'X-Api-Key': 'daya_sk_YOUR_API_KEY' }
    }
  );

  const order = await response.json();
  console.log('Order details:', order.data);
  ```

  ```python Python theme={null}
  import requests

  order_id = '550e8400-e29b-41d4-a716-446655440000'
  headers = {'X-Api-Key': 'daya_sk_YOUR_API_KEY'}

  response = requests.get(
      f'https://api.pro.daya.co/public/v1/orders/{order_id}',
      headers=headers
  )

  order = response.json()
  print(f"Order details: {order['data']}")
  ```

  ```go Go theme={null}
  package main

  import (
      "encoding/json"
      "fmt"
      "net/http"
  )

  func main() {
      orderID := "550e8400-e29b-41d4-a716-446655440000"
      url := fmt.Sprintf("https://api.pro.daya.co/public/v1/orders/%s", orderID)

      req, _ := http.NewRequest("GET", url, nil)
      req.Header.Set("X-Api-Key", "daya_sk_YOUR_API_KEY")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      var result map[string]interface{}
      json.NewDecoder(resp.Body).Decode(&result)
      fmt.Println("Order details:", result["data"])
  }
  ```
</CodeGroup>

## Response

<ResponseField name="success" type="boolean" required>
  Indicates if the request was successful
</ResponseField>

<ResponseField name="message" type="string" required>
  Human-readable response message
</ResponseField>

<ResponseField name="data" type="object" required>
  Order details

  <Expandable title="order properties">
    <ResponseField name="id" type="string">
      Unique order identifier (UUID)
    </ResponseField>

    <ResponseField name="user_id" type="string">
      User identifier
    </ResponseField>

    <ResponseField name="symbol" type="string">
      Trading pair symbol
    </ResponseField>

    <ResponseField name="side" type="string">
      Order side: `buy` or `sell`
    </ResponseField>

    <ResponseField name="type" type="string">
      Order type: `limit` or `market`
    </ResponseField>

    <ResponseField name="status" type="string">
      Order status

      **Values:** `pending_settlement`, `new`, `open`, `partially_filled`, `filled`, `cancelled`, `rejected`, `failed`
    </ResponseField>

    <ResponseField name="price" type="string">
      Order price (for limit orders)
    </ResponseField>

    <ResponseField name="quantity" type="string">
      Original order quantity
    </ResponseField>

    <ResponseField name="filled_quantity" type="string">
      Quantity that has been filled
    </ResponseField>

    <ResponseField name="remaining_quantity" type="string">
      Remaining quantity to fill
    </ResponseField>

    <ResponseField name="executed_price" type="string">
      Average execution price
    </ResponseField>

    <ResponseField name="total_value" type="string">
      Total order value in quote currency
    </ResponseField>

    <ResponseField name="filled_value" type="string">
      Value of filled portion
    </ResponseField>

    <ResponseField name="base_currency" type="string">
      Base currency code (e.g. `USD`)
    </ResponseField>

    <ResponseField name="quote_currency" type="string">
      Quote currency code (e.g. `NGN`)
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 creation timestamp
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      ISO 8601 last update timestamp
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="timestamp" type="string">
  ISO 8601 timestamp of the response
</ResponseField>

### Success Response

<ResponseExample>
  ```json 200 OK - Open Order theme={null}
  {
    "success": true,
    "message": "Order retrieved successfully",
    "data": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "user_abc123",
      "symbol": "USD-NGN",
      "side": "buy",
      "type": "limit",
      "status": "open",
      "price": "1545.00",
      "quantity": "100.00000000",
      "filled_quantity": "0.00000000",
      "remaining_quantity": "100.00000000",
      "executed_price": "",
      "total_value": "154500.00",
      "filled_value": "0.00",
      "base_currency": "USD",
      "quote_currency": "NGN",
      "created_at": "2024-01-15T10:35:00Z",
      "updated_at": "2024-01-15T10:35:00Z"
    },
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```

  ```json 200 OK - Filled Order theme={null}
  {
    "success": true,
    "message": "Order retrieved successfully",
    "data": {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "user_id": "user_abc123",
      "symbol": "USD-NGN",
      "side": "buy",
      "type": "market",
      "status": "filled",
      "price": "",
      "quantity": "100.00000000",
      "filled_quantity": "100.00000000",
      "remaining_quantity": "0.00000000",
      "executed_price": "1545.50",
      "total_value": "154550.00",
      "filled_value": "154550.00",
      "base_currency": "USD",
      "quote_currency": "NGN",
      "created_at": "2024-01-15T10:35:00Z",
      "updated_at": "2024-01-15T10:35:01Z"
    },
    "timestamp": "2024-01-15T10:35:01Z"
  }
  ```
</ResponseExample>

## Error Responses

<ResponseExample>
  ```json 401 Unauthorized theme={null}
  {
    "success": false,
    "message": "Unauthorized",
    "error": {
      "code": "API_KEY_INVALID",
      "message": "The provided API key is invalid"
    },
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "success": false,
    "message": "Order not found",
    "error": {
      "code": "ORDER_NOT_FOUND",
      "message": "The specified order does not exist"
    },
    "timestamp": "2024-01-15T10:35:00Z"
  }
  ```
</ResponseExample>

## Rate Limits

* **100 requests per minute** per API key

## Next Steps

<CardGroup cols={2}>
  <Card title="List Trades" icon="clock-rotate-left" href="/pro/api-reference/list-trades">
    View trade history for this order
  </Card>

  <Card title="Cancel Order" icon="xmark" href="/pro/api-reference/cancel-order">
    Cancel an open order
  </Card>
</CardGroup>
